| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Lib::IndexListDto Class Reference

Data Transfer Object (DTO) for index lists of type IndexList. Used to store, transfer, serialize and deserialize objects of type IndexList. More...

Inheritance diagram for IG::Lib::IndexListDto:
[legend]
Collaboration diagram for IG::Lib::IndexListDto:
[legend]

List of all members.

## Public Member Functions
| IndexListDto ()
| Creates a DTO for storing state of a bounding box object of any vector type.
override IndexList | CreateObject ()
| Creates and returns a new index list.
## Public Attributes
List< int > | Indices = new List<int>()
| Indices contained in the index list.
## Protected Member Functions
override void | CopyFromPlain (IndexList list)
| Copies data to the current DTO from an index list object.
override void | CopyToPlain (ref IndexList list)
| Copies data from the current DTO to an index list object.

## Detailed Description

Data Transfer Object (DTO) for index lists of type IndexList. Used to store, transfer, serialize and deserialize objects of type IndexList.

$A Igor Aug09;

## Constructor & Destructor Documentation

IG::Lib::IndexListDto::IndexListDto | ( |  | ) | `[inline]`

Creates a DTO for storing state of a bounding box object of any vector type.

## Member Function Documentation

override IndexList IG::Lib::IndexListDto::CreateObject | ( |  | ) | `[inline]`

Creates and returns a new index list.

override void IG::Lib::IndexListDto::CopyFromPlain | ( | IndexList | list | ) | `[inline, protected]`

Copies data to the current DTO from an index list object.

Parameters:

  list | Index list object from which data is copied.

override void IG::Lib::IndexListDto::CopyToPlain | ( | ref IndexList | list | ) | `[inline, protected]`

Copies data from the current DTO to an index list object.

Parameters:

  list | Index list object that data is copied to.

## Member Data Documentation

List<int> IG::Lib::IndexListDto::Indices = new List<int>()

Indices contained in the index list.

The documentation for this class was generated from the following file:

- IndexListDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events